### Method

# WebKit2WebExtension DOMHTMLTableRowElement insert_cell

deprecated: 2.22

#### Declaration [src]

    WebKitDOMHTMLElement*
    webkit_dom_html_table_row_element_insert_cell (
      WebKitDOMHTMLTableRowElement* self,
      glong index,
      GError** error
    )

#### Description

No description available.

Deprecated since: 2.22

Use JavaScriptCore API instead.

#### Parameters

`index`

  Type: `glong`

  A #glong.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `WebKitDOMHTMLElement`

A `WebKitDOMHTMLElement`.

The data is owned by the instance.